<!--
    filename : index_sweep.html
    author : Hirotaka Yuzurihara, Koyama
    Date : 2021/04/09

  -->

  <!DOCTYPE html>
  <html lang="en">
      <head>
        <title>Finesse-GUI on web v1.0</title>
        <link rel="stylesheet" type="text/css" href="./css/style.css">
        <link rel="stylesheet" type="text/css" href="./css/tooltip.css">
        <meta charset="UTF-8">
        
      </head>
  
      <body>
        <h1><a href="https://gwdoc.icrr.u-tokyo.ac.jp/cgi-bin/private/DocDB/ShowDocument?docid=12132">Finesse-GUI on web</a></h1>
        
        <p>
      now single channel mode :
      <a href="./index_sweep.html"                target="_blank">[sweep mode]</a>
      <a href="./index_transfer_function.html"    target="_blank">[transfer function mode]</a>
      <a href="./index_sensitivity.html"          target="_blank">[sensitivity mode]</a>
      <a href="./index_angular_misalignment.html" target="_blank">[angular misalignment mode]</a>
        </p>
  
        <form action="cgi-bin/make_plot.py" name="form1" method="get" target="_blank">
  
            <div>
          <h2>
          <div class="tooltip">
            1. select PD type
  
            <span class="tooltiptext">
              a priority of options : (top one is high priority)
              <ol>
                <li>gps_beg + gps_end</li>
                <li>start time + duration to both past and future</li>
                <li>start time + duration to past </li>
                <li>start time + duration to future</li>
                <li>start time + end time</li>
              </ol>
            </span>
          </div>
          </h2>
          
              <ul>
                <input type="radio" name="pd_type" value="power_detector" checked/>power detector
                <input type="radio" name="pd_type" value="amplitude_detector"/>amplitude detector
                <input type="radio" name="pd_type" value="demodulated signal"/>demodulated signal
              </ul>
  
            </div>
  
  
            <div>
          <h2>
            <div class="tooltip">
          2. put PDs
          <span class="tooltiptext">
            a priority of options : (top one is high priority)
            <ol>
              <li>channel from the list</li>
              <li>channel from top input form</li>
            </ol>
            
            Data selected by input form / list is loaded from full data.</br>
            Data selected by O3GK list is loaded from O3GK-C20-beta2 data.</br>
          </span>
            </div>
          </h2>
  
          <ul>
          <input type="checkbox" name="pd" value="REFL" checked/>REFL
            <input type="checkbox" name="pd" value="TMSX" />TMSX
            <input type="checkbox" name="pd" value="TMSY" />TMSY
            <input type="checkbox" name="pd" value="POS"  />POS
              </ul>
          <!-- PDをすべて書くのがめんどくさかったので、随時追加してください -->
  
              
              <div>
            <h2>
          <div class="tooltip">
            3. select what to move (DOF)
            <span class="tooltiptext">
              Default setteings : 
              <ul>
                <li>WhitenedTimeSeries :<br>apply whitening with 4 seconds buffer in both ends and throw away buffer data</li><br>
                <li>AverageASD :<br>take median value of 15 spectrum which are computed by chunks with 50% overlap</li><br>
                <li>StateVector :<br> channel name is K1:DET-DQ_STATE_VECTOR.</li><br>
                <li>Spectrogram :<br> short time FFT with 1 second chunk</li><br>
                <li>InspiralRange :<br>Inspiral range (averaged over antenna pattern) for detection of 1.4-1.4Msun binary with optimal SNR=8</li>
              </ul>
              
            </span>
          </div>
            </h2>
  
                <ul>
          <input type="radio" name="dof" value="DARM" checked/>DARM
                  <input type="radio" name="dof" value="CARM"/>CARM
                  <input type="radio" name="dof" value="BS"/>BS
                  <input type="radio" name="dof" value="PRCL"/>PRCL
                  <input type="radio" name="dof" value="SRCL"/>SRCL
                </ul>
            
              </div>
  
  
  
              <br>            
              <div>
                <input type="submit" value="Make plot"/>
                <input type="reset"  value="Reset all values" />
              </div>
  
      
              <hr>
  
      
  
          
              <!-- option for IFO param -->
              <details>
                  <summary><b>[Option] IFO param</b></summary>
                  
                  <!-- Download  -->
                  <p>
                    <input type="checkbox" name="text_dump" value="TimeSeries" id="option_TimeSeries" />Add a link to download data as text file
                  </p>
                  
                  <!-- x, y-range min / max  -->
                  <h4>Set x, y-range</h4>
                  <ul>
                    <li>Require both minimum and maximum values.</li>
                    <li>
                      xmin = <input type="text" name="xmin_TimeSeries" size="15" placeholder="10" id="option_TimeSeries" />
                      xmax = <input type="text" name="xmax_TimeSeries" size="15" placeholder="500" id="option_TimeSeries" /></li>
                    <li>
                      ymin = <input type="text" name="ymin_TimeSeries" size="15" placeholder="1e-23" id="option_TimeSeries" />
                      ymax = <input type="text" name="ymax_TimeSeries" size="15" placeholder="1e-20" id="option_TimeSeries" /></li>
                  </ul>
                  
                  <!-- set scale -->
                  <h4>Set scale (default : x=Linear, y=Linear</h4>
                  <p>
                  <input type="checkbox" name="scale" value="scale_xLinear_TimeSeries" id="option_TimeSeries" /> x-axis Linear
                  <input type="checkbox" name="scale" value="scale_xLog_TimeSeries" id="option_TimeSeries" /> x-axis Log
                  <input type="checkbox" name="scale" value="scale_yLinear_TimeSeries" id="option_TimeSeries" /> y-axis Linear
                  <input type="checkbox" name="scale" value="scale_yLog_TimeSeries" id="option_TimeSeries" /> y-axis Log
                  </p>
                  <!-- filter  -->
                  <h4>Apply low-pass / high-pass filter</h4>
                  <p>
                  <input type="checkbox" name="filttype" value="LowPass" id="option_TimeSeries" /> <b>Low Pass filter:</b>
                  Cut off <input type="text" name="f_lpf" size="5" placeholder="2048" id="option_TimeSeries" />Hz
                  </p>
                  <p>
                  <input type="checkbox" name="filttype" value="HighPass" id="option_TimeSeries" /> <b>High Pass filter: </b>
                  Cut off <input type="text" name="f_hpf" size="5" placeholder="50" id="option_TimeSeries" />Hz
                  </p>
                  <p>
                  <input type="checkbox" name="filttype" value="BandPass" id="option_TimeSeries"/> <b>Band Pass filter: </b>
                  Cut off <input type="text" name="f_l_bpf" size="5" placeholder="50" id="option_TimeSeries"/>Hz ~
                  Cut off <input type="text" name="f_h_bpf" size="5" placeholder="2048" id="option_TimeSeries"/>Hz
                  </p>
                  
                  
              </details>
              
              <!-- option for TimeSeries -->
              
              
  
              <!-- option for option -->
              <details>
                  <summary><b>[Option] option</b></summary>
                  
                  <!-- Download  -->
                  <p>
                  <input type="checkbox" name="text_dump" value="TimeSeries" id="option_WhitenedTimeSeries"/>Add a link to download data as text file
                  </p>
                  
                  <!-- x, y-range min / max  -->
                  <h4>Set x, y-range</h4>
                  <ul>
                    <li>Require both minimum and maximum values.</li>
                    <li>
                      xmin = <input type="text" name="xmin_WhitenedTimeSeries" size="15" placeholder="10" id="option_WhitenedTimeSeries"/>
                      xmax = <input type="text" name="xmax_WhitenedTimeSeries" size="15" placeholder="500" id="option_WhitenedTimeSeries"/></li>
                    <li>
                      ymin = <input type="text" name="ymin_WhitenedTimeSeries" size="15" placeholder="1e-23" id="option_WhitenedTimeSeries"/>
                      ymax = <input type="text" name="ymax_WhitenedTimeSeries" size="15" placeholder="1e-20" id="option_WhitenedTimeSeries"/></li>
                  </ul>
                  
                  <!-- set scale -->
                  <h4>Set scale (default : x=Linear, y=Linear</h4>
                  <p>
                  <input type="checkbox" name="scale" value="scale_xLinear_WhitenTimeSeries" id="option_WhitenedTimeSeries"/> x-axis Linear
                  <input type="checkbox" name="scale" value="scale_xLog_WhitenTimeSeries" id="option_WhitenedTimeSeries"/> x-axis Log
                  <input type="checkbox" name="scale" value="scale_yLinear_WhitenTimeSeries" id="option_WhitenedTimeSeries"/> y-axis Linear
          <!-- <input type="checkbox" name="scale" value="scale_yLog_WhitenTimeSeries"/> y-axis Log -->
                  </p>
                  
                  
                  <!-- filter  -->
                  <p>Apply low-pass / high-pass filter</p>
                  <p>
                  <input type="checkbox" name="filttype" value="LowPass" id="option_WhitenedTimeSeries"/> <b>Low Pass filter:</b>
                  Cut off <input type="text" name="f_lpf" size="5" placeholder="2048" id="option_WhitenedTimeSeries"/>Hz
                  </p>
                  <p>
                  <input type="checkbox" name="filttype" value="HighPass" id="option_WhitenedTimeSeries"/> <b>High Pass filter: </b>
                  Cut off <input type="text" name="f_hpf" size="5" placeholder="50" id="option_WhitenedTimeSeries"/>Hz
                  </p>
                  <p>
                  <input type="checkbox" name="filttype" value="BandPass" id="option_WhitenedTimeSeries"/> <b>Band Pass filter: </b>
                  Cut off <input type="text" name="f_l_bpf" size="5" placeholder="50" id="option_WhitenedTimeSeries"/>Hz ~
                  Cut off <input type="text" name="f_h_bpf" size="5" placeholder="2048" id="option_WhitenedTimeSeries"/>Hz
                  </p>
                  
              </details>
          <!-- option for option -->
              
              
  
          
      </form>
  
  
      </body>
  </html>
  